@if (componentData$ | async; as componentData) {
  <span class="block-title">{{
    'sqtm-core.administration-workspace.views.project.automation.bdd-tc.label'
      | translate
  }}</span>
  <div class="padded-block" [attr.data-test-element-id]="'bdd-tc-block'">
    @if (componentData.project) {
      <div class="two-cols">
        <sqtm-core-label
          [text]="
            'sqtm-core.administration-workspace.views.project.automation.technology.label'
              | translate
          "
        >
        </sqtm-core-label>
        <sqtm-core-editable-select-level-enum-field
          #bddTechnologySelectField
          class="full-width"
          [attr.data-test-field-id]="'bdd-implementation-technology'"
          [layout]="'no-buttons'"
          [enumType]="'BddImplementationTechnology'"
          [sqtmCoreGenericViewEditableSelectLevelEnum]="
            'bddImplementationTechnology'
          "
        >
        </sqtm-core-editable-select-level-enum-field>
        <sqtm-core-label
          [text]="
            'sqtm-core.administration-workspace.views.project.scripts-language.label'
              | translate
          "
        >
        </sqtm-core-label>
        <sqtm-core-editable-select-level-enum-field
          class="full-width"
          [attr.data-test-field-id]="'bdd-script-language'"
          [layout]="'no-buttons'"
          [enumType]="'BddScriptLanguage'"
          [editable]="canEditScriptLanguage(componentData)"
          [sqtmCoreGenericViewEditableSelectLevelEnum]="'bddScriptLanguage'"
        >
        </sqtm-core-editable-select-level-enum-field>
      </div>
    }
  </div>
  @if (componentData.project) {
    <div class="two-cols">
      <div style="display: flex">
        <sqtm-core-label
          [text]="
            'sqtm-core.administration-workspace.views.project.automation.workflow.label'
              | translate
          "
        >
        </sqtm-core-label>
        <a [href]="automatedWorkflowDocUrl" target="_blank">
          <i
            nz-icon
            nzType="sqtm-core-generic:help"
            nzTheme="outline"
            nz-tooltip
            [nzTooltipTitle]="
              'sqtm-core.administration-workspace.views.project.automation.workflow.help-tooltip'
                | translate
            "
            class="current-workspace-button m-l-5 table-icon-size"
          >
          </i>
        </a>
      </div>
      <sqtm-core-editable-select-field
        #automationWorkflowField
        [attr.data-test-field-id]="'automation-workflow'"
        [options]="workflowOptions"
        [value]="componentData.project.automationWorkflowType"
        (confirmEvent)="
          handleAutomationWorkflowTypeChange($event.value, componentData)
        "
        layout="no-buttons"
      >
      </sqtm-core-editable-select-field>
    </div>
  }
  <span class="block-title">{{
    'sqtm-core.administration-workspace.views.project.automation.automated-suites-cleaning.label'
      | translate
  }}</span>
  <div
    class="padded-block"
    [attr.data-test-element-id]="'automated-suite-cleaning-block'"
  >
    <div class="two-cols automated-suite-cleaning-grid">
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.views.project.automation.automated-suites-cleaning.lifetime.label'
            | translate
        "
      >
      </sqtm-core-label>
      <sqtm-core-editable-text-field
        #automatedSuitesLifetimeField
        [attr.data-test-field-id]="'automated-suites-lifetime'"
        [value]="getAutomatedSuiteLifetimeValue(componentData)"
        (confirmEvent)="
          handleAutomatedSuitesLifetimeChange($event, componentData)
        "
        sqtmCoreKeyupStopPropagation
        layout="compact"
      >
      </sqtm-core-editable-text-field>
    </div>
    <div class="two-cols automated-suite-cleaning-grid">
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.views.project.automation.automated-suites-cleaning.delete-all.label'
            | translate
        "
      >
      </sqtm-core-label>
      <div>
        <button
          [attr.data-test-dialog-button-id]="
            'clean-' + CleaningTypes.AUTOMATED_SUITE
          "
          class="flex-fixed-size sqtm-core-delete-button danger-icon m-r-5"
          nz-button
          nzType="primary"
          [nzSize]="'small'"
          (click)="showCleaningDialog(componentData.project.id)"
        >
          {{ 'sqtm-core.generic.label.delete' | translate }}
        </button>
      </div>
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.views.project.automation.automated-suites-cleaning.attachment-prune.complete.label'
            | translate
        "
      >
      </sqtm-core-label>
      <div>
        <button
          [attr.data-test-dialog-button-id]="CleaningTypes.COMPLETE_PRUNE"
          class="flex-fixed-size sqtm-core-delete-button danger-icon m-r-5"
          nz-button
          nzType="primary"
          [nzSize]="'small'"
          (click)="showPruneDialog(componentData.project.id, 'complete')"
        >
          {{
            'sqtm-core.administration-workspace.views.project.automation.automated-suites-cleaning.attachment-prune.complete.dialog.button-label'
              | translate
          }}
        </button>
      </div>
      <sqtm-core-label
        [text]="
          'sqtm-core.administration-workspace.views.project.automation.automated-suites-cleaning.attachment-prune.partial.label'
            | translate
        "
      >
      </sqtm-core-label>
      <div>
        <button
          [attr.data-test-dialog-button-id]="CleaningTypes.PARTIAL_PRUNE"
          class="flex-fixed-size sqtm-core-delete-button danger-icon m-r-5"
          nz-button
          nzType="primary"
          [nzSize]="'small'"
          (click)="showPruneDialog(componentData.project.id, 'partial')"
        >
          {{
            'sqtm-core.administration-workspace.views.project.automation.automated-suites-cleaning.attachment-prune.partial.dialog.button-label'
              | translate
          }}
        </button>
      </div>
    </div>
  </div>
  @if (showsScmBlock(componentData)) {
    <span class="block-title">{{
      'sqtm-core.entity.scm-server.label' | translate
    }}</span>
    <div class="padded-block" [attr.data-test-element-id]="'scm-block'">
      <div class="two-cols">
        <sqtm-core-label
          [text]="
            'sqtm-core.administration-workspace.views.project.automation.workflow.scm-server.use-tree-structure'
              | translate
          "
        >
        </sqtm-core-label>
        <sqtm-core-switch-field
          [sqtmCoreGenericViewSwitchField]="'useTreeStructureInScmRepo'"
          [attr.data-test-field-id]="'use-tree-structure'"
        >
        </sqtm-core-switch-field>
        <sqtm-core-label
          [text]="
            'sqtm-core.administration-workspace.views.project.automation.workflow.scm-server.server'
              | translate
          "
        >
        </sqtm-core-label>
        <sqtm-core-editable-select-field
          #serverSelectField
          [attr.data-test-field-id]="'automation-scm-server'"
          [options]="scmServerOptions"
          [editable]="true"
          allowEmptyValue="true"
          [placeHolder]="
            'sqtm-core.administration-workspace.views.project.automation.no-server'
              | translate
          "
          layout="no-buttons"
          (confirmEvent)="handleScmServerConfirm($event, componentData)"
        >
        </sqtm-core-editable-select-field>
        @if (showsScmRepositoryField() && repositoryOptions != null) {
          <sqtm-core-label
            [text]="
              'sqtm-core.administration-workspace.views.project.automation.workflow.scm-server.repository'
                | translate
            "
          >
          </sqtm-core-label>
          <sqtm-core-editable-select-field
            #repositorySelectField
            [attr.data-test-field-id]="'automation-scm-repository'"
            [options]="repositoryOptions"
            allowEmptyValue="true"
            [placeHolder]="
              'sqtm-core.administration-workspace.views.project.automation.scm-server.no-repository'
                | translate
            "
            layout="no-buttons"
            (confirmEvent)="handleScmRepositoryConfirm($event)"
          >
          </sqtm-core-editable-select-field>
        }
      </div>
    </div>
  }
  @if (showsExecutionServerBlock()) {
    <span class="block-title">{{
      'sqtm-core.entity.execution-server.label.singular' | translate
    }}</span>
    <div class="padded-block">
      <sqtm-core-editable-select-field
        #executionServerField
        [attr.data-test-field-id]="'automation-execution-server'"
        [allowEmptyValue]="true"
        [options]="executionServerOptions"
        (confirmEvent)="handleExecutionServerChange($event, componentData)"
        [placeHolder]="
          'sqtm-core.administration-workspace.views.project.automation.no-server'
            | translate
        "
        layout="no-buttons"
      >
      </sqtm-core-editable-select-field>
    </div>
  }
  @if (showsJobsBlock(componentData)) {
    <div class="block-title flex-row">
      <span>{{
        'sqtm-core.administration-workspace.views.project.automation.jobs.label'
          | translate
      }}</span>
      @if (isAdmin$ | async) {
        <div
          (click)="addJob()"
          class="block-title-button m-l-8"
          [attr.data-test-button-id]="'add-job'"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:plus"
            nzTheme="outline"
            class="current-workspace-button table-icon-size"
          ></i>
        </div>
      }
      @if (!(isAdmin$ | async)) {
        <div
          (click)="connectToAddJob(componentData)"
          class="block-title-button m-l-8"
          [attr.data-test-button-id]="'add-job'"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:plus"
            nzTheme="outline"
            class="current-workspace-button table-icon-size"
          ></i>
        </div>
      }
    </div>
    <div class="padded-block" [attr.data-test-element-id]="'ta-jobs-block'">
      <sqtm-core-grid></sqtm-core-grid>
    </div>
  }
  @if (showsEnvironmentsBlock(componentData)) {
    <span class="block-title">{{
      'sqtm-core.entity.server.environment.default-environment.label'
        | translate
    }}</span>
    <div
      class="padded-block"
      [attr.data-test-element-id]="'environments-block'"
    >
      <sqtm-app-environment-selection-panel
        [tagHolderId]="componentData.project.id"
        [tagHolderType]="environmentPanelTagHolderType"
        [taServerId]="componentData.project.taServerId"
        [environmentTagsLabel]="
          'sqtm-core.entity.server.environment.default-tags.label' | translate
        "
        [selectInputTooltip]="
          'sqtm-core.administration-workspace.views.project.automation.default-environments-tooltip'
            | translate
        "
        [isAvailableEnvironmentsPanelExpanded]="false"
        (projectTokenChanged)="refreshWorkflows()"
      >
      </sqtm-app-environment-selection-panel>
    </div>
  }
  <ng-container>
    <span class="block-title">
      {{
        'sqtm-core.administration-workspace.entities-customization.environment-variables.title'
          | translate
      }}
      <i
        nz-icon
        nzType="sqtm-core-generic:help"
        nzTheme="outline"
        nz-tooltip
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.views.project.automation.environment-variables-tooltip'
            | translate
        "
        class="current-workspace-button tooltip-icon table-icon-size m-l-5"
      >
      </i>
    </span>
    <div
      class="padded-block"
      [attr.data-test-element-id]="'environments-variable-block'"
    >
      <sqtm-app-orchestrator-execution-environment-variable-panel
        [entityId]="componentData.project.id"
        [entityType]="environmentPanelTagHolderType"
        (valueChanged)="bindEnvironmentVariable($event)"
        class="m-t-50"
      >
      </sqtm-app-orchestrator-execution-environment-variable-panel>
    </div>
  </ng-container>
  @if (showsEnvironmentsBlock(componentData)) {
    <span class="block-title">Workflows</span>
    <div class="padded-block" [attr.data-test-element-id]="'workflows-block'">
      <sqtm-app-orchestrator-workflows
        [projectId]="componentData.project.id"
        [serverId]="componentData.project.taServerId"
      >
      </sqtm-app-orchestrator-workflows>
    </div>
  }
}
